dofile( "mods/spellbound_bundle/files/scripts/utilities/targetting_utilities.lua" )
dofile( "data/scripts/lib/utilities.lua" )

local theEntity = GetUpdatedEntityID()

local x, y = EntityGetTransform( theEntity )

local closestEntity = get_closest_enemy_in_range(theEntity, x, y, 200)	

if(closestEntity ~= nil)then
	shoot_at_entity(theEntity, closestEntity, 0.5, 0, 0, 2000, "mods/spellbound_bundle/files/entities/projectiles/drone_bullet.xml", 15)
end